%define upstream_name    Geo-Distance
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Calculate distances and closest locations. (DEPRECATED)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Const::Fast)
BuildRequires: perl(GIS::Distance)
BuildRequires: perl(GIS::Distance::Constants)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This perl library aims to provide as many tools to make it as simple as
possible to calculate distances between geographic points, and anything
that can be derived from that. Currently there is support for finding the
closest locations within a specified distance, to find the closest number
of points to a specified point, and to do basic point-to-point distance
calculations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Nov 10 2024 wally <wally> 0.250.0-1.mga10
+ Revision: 2113682
- imported package perl-Geo-Distance


* Sun Nov 10 2024 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
